import Foundation

class SessionModel {
    
    struct SessionSuccessModel: Codable {
        
        var apiStatus: Int?
        var data: [Datum]?
        
        enum CodingKeys: String, CodingKey {
            case apiStatus = "api_status"
            case data
        }
        
    }
    
    
    // MARK: - Datum
    struct Datum: Codable {
        var id, userID, sessionID: String?
        var platform: String?
        var platformDetails, time: String?
        var browser: String?
        var ipAddress: String?
        
        enum CodingKeys: String, CodingKey {
            case id
            case userID = "user_id"
            case sessionID = "session_id"
            case platform
            case platformDetails = "platform_details"
            case time, browser
            case ipAddress = "ip_address"
        }
    }
    
}

struct DeleteSessionModel: Codable {
    
    var apiStatus: Int?
    var message: String?
    
    enum CodingKeys: String, CodingKey {
        case apiStatus = "api_status"
        case message
    }
    
}
